package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class NotificaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static Notifica getNotificaSample1() {
        return new Notifica().id(1L).messaggio("messaggio1").errore("errore1");
    }

    public static Notifica getNotificaSample2() {
        return new Notifica().id(2L).messaggio("messaggio2").errore("errore2");
    }

    public static Notifica getNotificaRandomSampleGenerator() {
        return new Notifica().id(longCount.incrementAndGet()).messaggio(UUID.randomUUID().toString()).errore(UUID.randomUUID().toString());
    }
}
